function [c,x,z]=chebyinterp(fname,a,b,d,varargin)
% ChebyInterp - Lagrange interpolation at optimal nodes on [a,b].
%
% [c,x,z]=ChebyInterp(fname,a,b,d,x1,z1,z2,...zn)
%
% Input:  fname - name of the m-file implementing f(x)
%         a - lower bound
%         b - upper bound
%         d - degree of interpolating polynomial
%
% Output: c - coefficients
%         x - interpolation nodes in [a,b]
%         z - interpolation nodes in [-1,+1]
%
% (c) 2003 by Marco Maffezzoli. Ver. 1.0.0
%

[z,x]=chebynodes(a,b,d+1);
T=cheby(z,d);
c=T\feval(fname,x,varargin{:});